<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.11.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VICOLib: LiveInfo1VICOType Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="Logo.png"/></td>
  <td id="projectalign">
   <div id="projectname">VICOLib
   </div>
   <div id="projectbrief">Software documentation</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <span id="MSearchSelect"                onmouseover="return searchBox.OnSearchSelectShow()"                onmouseout="return searchBox.OnSearchSelectHide()">&#160;</span>
          <input type="text" id="MSearchField" value="" placeholder="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.11.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('a00042.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle"><div class="title">LiveInfo1VICOType Struct Reference</div></div>
</div><!--header-->
<div class="contents">

<p>VICO liveInfo1 structure used in <a class="el" href="a00002.html#aff885aee5a72c29a3602780878e69156" title="Returns live system status information from VICO.">liveInfo1VICO()</a>.  
 <a href="#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="a00008_source.html">types.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:acb80421955b2dfdd6012c7dad6dfbe24" id="r_acb80421955b2dfdd6012c7dad6dfbe24"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#ab021cb6462a87152ac9ab7aa8be31e11">LiveInfoVICOStateType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#acb80421955b2dfdd6012c7dad6dfbe24">st</a></td></tr>
<tr class="memdesc:acb80421955b2dfdd6012c7dad6dfbe24"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current system status of the VICO.  <br /></td></tr>
<tr class="separator:acb80421955b2dfdd6012c7dad6dfbe24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb52d1dfd497466de60afe70cf50da2d" id="r_aeb52d1dfd497466de60afe70cf50da2d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a54d168a379505a24ddf538b966b0fff0">LiveInfoVICOErrorType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aeb52d1dfd497466de60afe70cf50da2d">er</a></td></tr>
<tr class="memdesc:aeb52d1dfd497466de60afe70cf50da2d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current error code of the VICO.  <br /></td></tr>
<tr class="separator:aeb52d1dfd497466de60afe70cf50da2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0665f1b600ee046629b2d3a0deb195ec" id="r_a0665f1b600ee046629b2d3a0deb195ec"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a0665f1b600ee046629b2d3a0deb195ec">vIn</a></td></tr>
<tr class="memdesc:a0665f1b600ee046629b2d3a0deb195ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">The input voltage in V as 32 bit float (Little-endian = low byte first).  <br /></td></tr>
<tr class="separator:a0665f1b600ee046629b2d3a0deb195ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a218340f43cdaa1e53902c314d901ffc5" id="r_a218340f43cdaa1e53902c314d901ffc5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a218340f43cdaa1e53902c314d901ffc5">pwr</a></td></tr>
<tr class="memdesc:a218340f43cdaa1e53902c314d901ffc5"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current "Power" output state as bool.  <br /></td></tr>
<tr class="separator:a218340f43cdaa1e53902c314d901ffc5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b3b0927051786f01bf02c7787de6fda" id="r_a8b3b0927051786f01bf02c7787de6fda"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a8b3b0927051786f01bf02c7787de6fda">therm1</a></td></tr>
<tr class="memdesc:a8b3b0927051786f01bf02c7787de6fda"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current temperature at thermistor 1 in degrees Celsius as 32 bit float (Little-endian = low byte first).  <br /></td></tr>
<tr class="separator:a8b3b0927051786f01bf02c7787de6fda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5089ea5055193aeba694c49112ce6006" id="r_a5089ea5055193aeba694c49112ce6006"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a5089ea5055193aeba694c49112ce6006">therm2</a></td></tr>
<tr class="memdesc:a5089ea5055193aeba694c49112ce6006"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current temperature at thermistor 2 in degrees Celsius as 32 bit float (Little-endian = low byte first).  <br /></td></tr>
<tr class="separator:a5089ea5055193aeba694c49112ce6006"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>VICO liveInfo1 structure used in <a class="el" href="a00002.html#aff885aee5a72c29a3602780878e69156" title="Returns live system status information from VICO.">liveInfo1VICO()</a>. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="aeb52d1dfd497466de60afe70cf50da2d" name="aeb52d1dfd497466de60afe70cf50da2d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb52d1dfd497466de60afe70cf50da2d">&#9670;&#160;</a></span>er</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a54d168a379505a24ddf538b966b0fff0">LiveInfoVICOErrorType</a> er</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current error code of the VICO. </p>

</div>
</div>
<a id="a218340f43cdaa1e53902c314d901ffc5" name="a218340f43cdaa1e53902c314d901ffc5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a218340f43cdaa1e53902c314d901ffc5">&#9670;&#160;</a></span>pwr</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a> pwr</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current "Power" output state as bool. </p>

</div>
</div>
<a id="acb80421955b2dfdd6012c7dad6dfbe24" name="acb80421955b2dfdd6012c7dad6dfbe24"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb80421955b2dfdd6012c7dad6dfbe24">&#9670;&#160;</a></span>st</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#ab021cb6462a87152ac9ab7aa8be31e11">LiveInfoVICOStateType</a> st</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current system status of the VICO. </p>

</div>
</div>
<a id="a8b3b0927051786f01bf02c7787de6fda" name="a8b3b0927051786f01bf02c7787de6fda"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b3b0927051786f01bf02c7787de6fda">&#9670;&#160;</a></span>therm1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> therm1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current temperature at thermistor 1 in degrees Celsius as 32 bit float (Little-endian = low byte first). </p>

</div>
</div>
<a id="a5089ea5055193aeba694c49112ce6006" name="a5089ea5055193aeba694c49112ce6006"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5089ea5055193aeba694c49112ce6006">&#9670;&#160;</a></span>therm2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> therm2</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current temperature at thermistor 2 in degrees Celsius as 32 bit float (Little-endian = low byte first). </p>

</div>
</div>
<a id="a0665f1b600ee046629b2d3a0deb195ec" name="a0665f1b600ee046629b2d3a0deb195ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0665f1b600ee046629b2d3a0deb195ec">&#9670;&#160;</a></span>vIn</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> vIn</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The input voltage in V as 32 bit float (Little-endian = low byte first). </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="a00042.html">LiveInfo1VICOType</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.11.0 </li>
  </ul>
</div>
</body>
</html>
